Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts.config
Class RenderContextAttributes

    java.lang.Object
      org.apache.portals.bridges.struts.config.AbstractConfigComponent
          org.apache.portals.bridges.struts.config.RenderContextAttributes

public class RenderContextAttributes
extends AbstractConfigComponent

Nested Class Summary
`static class` | `RenderContextAttributes.Attribute`
`private static class` | `RenderContextAttributes.AttributeValue`

Nested classes inherited from class org.apache.portals.bridges.struts.config.AbstractConfigComponent
`AbstractConfigComponent.SetParentRule`

Field Summary
`private String` | `name`
`private RenderContextAttributes.Attribute[]` | `namedAttributes`
`private ArrayList` | `namedAttributesList`
`private RenderContextAttributes.Attribute[]` | `prefixAttributes`
`private ArrayList` | `prefixAttributesList`

Fields inherited from class org.apache.portals.bridges.struts.config.AbstractConfigComponent
``

Constructor Summary
`RenderContextAttributes()`

Method Summary
`void` | `addAttribute(RenderContextAttributes.Attribute attribute)`
`void` | `afterLoad()`
`void` | `clearAttributes(javax.portlet.PortletSession session)` Remove attributes from the PortletSession
`void` | `configure(org.apache.commons.digester.Digester digester)`
`private RenderContextAttributes.Attribute[]` | `createArray(List attributes)`
`private static boolean` | `isNotEmpty(String str)`
`void` | `restoreAttributes(javax.portlet.PortletRequest request)` Restore attributes from the PortletSession.
`void` | `saveAttributes(javax.portlet.PortletRequest request)` Save attributes in the PortletSession.
`void` | `setName(String name)`

Methods inherited from class org.apache.portals.bridges.struts.config.AbstractConfigComponent
`checkLoaded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private String name

### namedAttributes

    private RenderContextAttributes.Attribute[] namedAttributes

### prefixAttributes

    private RenderContextAttributes.Attribute[] prefixAttributes

### namedAttributesList

    private ArrayList namedAttributesList

### prefixAttributesList

    private ArrayList prefixAttributesList

Constructor Detail

### RenderContextAttributes

    public RenderContextAttributes()

Method Detail

### isNotEmpty

    private static boolean isNotEmpty(String str)

### createArray

    private RenderContextAttributes.Attribute[] createArray(List attributes)

### addAttribute

    public void addAttribute(RenderContextAttributes.Attribute attribute)

### setName

    public void setName(String name)

### configure

    public void configure(org.apache.commons.digester.Digester digester)

  Specified by:
    `configure` in class `AbstractConfigComponent`

### afterLoad

    public void afterLoad()

  Overrides:
    `afterLoad` in class `AbstractConfigComponent`

### saveAttributes

    public void saveAttributes(javax.portlet.PortletRequest request)

  Save attributes in the PortletSession. This will ensure that each portlet instance will have its own render attributes.

  Parameters:
    `request` - The PortletRequest

### clearAttributes

    public void clearAttributes(javax.portlet.PortletSession session)

  Remove attributes from the PortletSession

  Parameters:
    `session` - The PortletSession

### restoreAttributes

    public void restoreAttributes(javax.portlet.PortletRequest request)

  Restore attributes from the PortletSession.

  Parameters:
    `request` - The portletRequest

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.